Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlTableRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlTableRendererBase

    public class HtmlTableRendererBase

extends HtmlRenderer

Common methods for renderers for components that subclass the standard JSF HtmlDataTable component.

Version:
  $Revision: 1307197 $ $Date: 2012-03-29 20:12:16 -0500 (Thu, 29 Mar 2012) $
Author:
  Thomas Spiegl (latest modification by $Author: lu4242 $)

Nested Class Summary
`protected static class` | `HtmlTableRendererBase.Styles` Class manages the styles from String lists.

Field Summary
`protected static String` | `FOOTER_FACET_NAME` Footer facet name.
`protected static String` | `HEADER_FACET_NAME` Header facet name.

Constructor Summary
`HtmlTableRendererBase()`

Method Summary
`protected void` | `afterBody(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData)` Perform any operations necessary immediately after the TBODY end tag is output.
`protected void` | `afterColumn(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData, int columnIndex)` Perform any operations necessary immediately after each column child is rendered
`protected void` | `afterColumnHeaderOrFooter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData, boolean header, int columnIndex)` Perform any operations necessary immediately after each column child's header of footer is rendered
`protected void` | `afterRow(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData)` Perform any operations necessary immediately after each TR end tag is output.
`protected void` | `afterTable(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData)` Perform any operations necessary immediately after the TABLE end tag is output.
`protected void` | `beforeBody(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData)` Perform any operations necessary after TABLE start tag is output but before the TBODY start tag.
`protected void` | `beforeColumn(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData, int columnIndex)` Perform any operations necessary immediately before each column child is rendered
`protected void` | `beforeColumnHeaderOrFooter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData, boolean header, int columnIndex)` Perform any operations necessary immediately before each column child's header or footer is rendered
`protected void` | `beforeRow(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData)` Perform any operations necessary immediately before each TR start tag is output.
`protected void` | `beforeTable(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData)` Perform any operations necessary immediately before the TABLE start tag is output.
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected int` | `determineChildColSpan(javax.faces.component.UIComponent uiComponent)` Calculate the number of columns the specified child component will span when rendered.
`protected String` | `determineHeaderCellTag(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected String` | `determineHeaderFooterTag(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, boolean header)`
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)` Render the necessary bits that come before any actual rows in the table.
`void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Render the TBODY section of the html table.
`protected void` | `encodeColumnChild(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, javax.faces.component.UIComponent component, HtmlTableRendererBase.Styles styles, int columnStyleIndex)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeInnerHtml(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Renders everything inside the TBODY tag by iterating over the row objects between offsets first and first+rows and applying the UIColumn components to those objects.
`protected void` | `endTable(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)` actually render the end of the table
`protected static String` | `getFooterClass(javax.faces.component.UIComponent component)` Gets the footerClass attribute of the given `UIComponent`.
`protected static String` | `getHeaderClass(javax.faces.component.UIComponent component)` Gets the headerClass attribute of the given `UIComponent`.
`protected int` | `getNewspaperColumns(javax.faces.component.UIComponent component)`
`protected javax.faces.component.UIComponent` | `getNewspaperTableSpacer(javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`protected static HtmlTableRendererBase.Styles` | `getStyles(javax.faces.component.UIData uiData)` Gets styles for the specified component.
`protected boolean` | `hasFacet(boolean header, javax.faces.component.UIComponent uiComponent)`
`protected boolean` | `hasNewspaperTableSpacer(javax.faces.component.UIComponent component)`
`protected void` | `inBodyStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIData uiData)` Perform any operations necessary in the TBODY start tag.
`protected boolean` | `isNewspaperHorizontalOrientation(javax.faces.component.UIComponent component)`
`protected void` | `renderColumnBody(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, javax.faces.component.UIComponent component, HtmlTableRendererBase.Styles styles, int columnStyleIndex)` Renders the body of a given `UIColumn` (everything but the header and footer facets).
`protected void` | `renderColumnChildHeaderOrFooterRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, String styleClass, boolean header)`
`protected void` | `renderColumnFooterCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIColumn uiColumn, String footerStyleClass, int colspan)` Renders the footer facet for the given `UIColumn`.
`protected void` | `renderColumnFooterCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, javax.faces.component.UIComponent facet, String footerStyleClass, int colspan)` Renders the footer facet for the given `UIColumn`.
`protected void` | `renderColumnFooterRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, String footerStyleClass)` Renders the footer row for the columns, which is a separate row from the footer row for the `UIData` footer facet.
`protected void` | `renderColumnHeaderCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIColumn uiColumn, String headerStyleClass, int colspan)` Renders the header facet for the given `UIColumn`.
`protected void` | `renderColumnHeaderCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, javax.faces.component.UIComponent facet, String headerStyleClass, int colspan)` Renders a TH cell within a TR within a THEAD section.
`protected void` | `renderColumnHeaderRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, String headerStyleClass)` Renders the header row for the columns, which is a separate row from the header row for the `UIData` header facet.
`protected void` | `renderFacet(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, boolean header)` Renders either the header or the footer facets for the UIData component and all the child UIColumn components, as a THEAD or TFOOT element containing TR (row) elements.
`protected void` | `renderRowEnd(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData)` Renders the end of a row of body content.
`protected void` | `renderRowStart(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, HtmlTableRendererBase.Styles styles, int rowStyleIndex)` Renders the start of a new row of body content.
`protected void` | `renderRowStyle(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIData uiData, HtmlTableRendererBase.Styles styles, int rowStyleIndex)`
`protected void` | `renderSpacerCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component)` Renders a spacer between adjacent newspaper columns.
`protected void` | `renderTableFooterRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, javax.faces.component.UIComponent footerFacet, String footerStyleClass, int colspan)` Renders the footer row of the table being rendered.
`protected void` | `renderTableHeaderOrFooterRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, javax.faces.component.UIComponent facet, String styleClass, String colElementName, int colspan)`
`protected void` | `renderTableHeaderRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, javax.faces.component.UIComponent headerFacet, String headerStyleClass, int colspan)` Renders the header row of the table being rendered.
`protected void` | `startTable(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)` actually render the start of the table

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_FACET_NAME

    protected static final String HEADER_FACET_NAME

  Header facet name.

  See Also:
    Constant Field Values

### FOOTER_FACET_NAME

    protected static final String FOOTER_FACET_NAME

  Footer facet name.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlTableRendererBase

    public HtmlTableRendererBase()

Method Detail

### getNewspaperColumns

    protected int getNewspaperColumns(javax.faces.component.UIComponent component)

  Parameters:
    `component` - dataTable
  Returns:
    number of layout columns

### getNewspaperTableSpacer

    protected javax.faces.component.UIComponent getNewspaperTableSpacer(javax.faces.component.UIComponent component)

  Parameters:
    `component` - dataTable
  Returns:
    component to display between layout columns

### hasNewspaperTableSpacer

    protected boolean hasNewspaperTableSpacer(javax.faces.component.UIComponent component)

  Parameters:
    `component` - dataTable
  Returns:
    whether dataTable has component to display between layout columns

### isNewspaperHorizontalOrientation

    protected boolean isNewspaperHorizontalOrientation(javax.faces.component.UIComponent component)

  Parameters:
    `component` - dataTable
  Returns:
    whether dataTable has newspaper columns layed out horizontally

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`
  See Also:
    `Renderer.getRendersChildren()`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws IOException

  Render the necessary bits that come before any actual rows in the table.

  Overrides:
    `encodeBegin` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`
  See Also:
    `Renderer.encodeBegin(FacesContext, UIComponent)`

### startTable

    protected void startTable(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent uiComponent)
                       throws IOException

  actually render the start of the table

  Throws:
    `IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Render the TBODY section of the html table. See also method encodeInnerHtml.

  Overrides:
    `encodeChildren` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`
  See Also:
    `Renderer.encodeChildren(FacesContext, UIComponent)`

### getStyles

    protected static HtmlTableRendererBase.Styles getStyles(javax.faces.component.UIData uiData)

  Gets styles for the specified component.

### encodeInnerHtml

    public void encodeInnerHtml(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws IOException

  Renders everything inside the TBODY tag by iterating over the row objects between offsets first and first+rows and applying the UIColumn components to those objects.

  This method is separated from the encodeChildren so that it can be overridden by subclasses. One class that uses this functionality is autoUpdateDataTable.

  Throws:
    `IOException`

### encodeColumnChild

    protected void encodeColumnChild(javax.faces.context.FacesContext facesContext,
                                     javax.faces.context.ResponseWriter writer,
                                     javax.faces.component.UIData uiData,
                                     javax.faces.component.UIComponent component,
                                     HtmlTableRendererBase.Styles styles,
                                     int columnStyleIndex)
                              throws IOException

  Throws:
    `IOException`

### renderColumnBody

    protected void renderColumnBody(javax.faces.context.FacesContext facesContext,
                                    javax.faces.context.ResponseWriter writer,
                                    javax.faces.component.UIData uiData,
                                    javax.faces.component.UIComponent component,
                                    HtmlTableRendererBase.Styles styles,
                                    int columnStyleIndex)
                             throws IOException

  Renders the body of a given `UIColumn` (everything but the header and footer facets). This emits a TD cell, whose contents are the result of calling encodeBegin, encodeChildren and encodeEnd methods on the component (or its associated renderer).

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiData` - the `UIData` being rendered.
    `component` - the `UIComponent` to render.
    `styles` - the styleClasses of rows and columns
    `columnStyleIndex` - the index of the column
  Throws:
    `IOException` - if an exception occurs.

### renderRowStart

    protected void renderRowStart(javax.faces.context.FacesContext facesContext,
                                  javax.faces.context.ResponseWriter writer,
                                  javax.faces.component.UIData uiData,
                                  HtmlTableRendererBase.Styles styles,
                                  int rowStyleIndex)
                           throws IOException

  Renders the start of a new row of body content.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiData` - the `UIData` being rendered.
    `styles` - the styleClasses of rows and columns
    `rowStyleIndex` - the index of the row
  Throws:
    `IOException` - if an exceptoin occurs.

### renderRowStyle

    protected void renderRowStyle(javax.faces.context.FacesContext facesContext,
                                  javax.faces.context.ResponseWriter writer,
                                  javax.faces.component.UIData uiData,
                                  HtmlTableRendererBase.Styles styles,
                                  int rowStyleIndex)
                           throws IOException

  Throws:
    `IOException`

### renderRowEnd

    protected void renderRowEnd(javax.faces.context.FacesContext facesContext,
                                javax.faces.context.ResponseWriter writer,
                                javax.faces.component.UIData uiData)
                         throws IOException

  Renders the end of a row of body content.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException` - if an exceptoin occurs.

### beforeTable

    protected void beforeTable(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIData uiData)
                        throws IOException

  Perform any operations necessary immediately before the TABLE start tag is output.

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException`

### beforeBody

    protected void beforeBody(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIData uiData)
                       throws IOException

  Perform any operations necessary after TABLE start tag is output but before the TBODY start tag.

  This method generates the THEAD/TFOOT sections of a table if there are any header or footer facets defined on the table or on any child UIColumn component.

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException`

### beforeRow

    protected void beforeRow(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIData uiData)
                      throws IOException

  Perform any operations necessary immediately before each TR start tag is output.

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException`

### afterRow

    protected void afterRow(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIData uiData)
                     throws IOException

  Perform any operations necessary immediately after each TR end tag is output.

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException`

### beforeColumn

    protected void beforeColumn(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIData uiData,
                                int columnIndex)
                         throws IOException

  Perform any operations necessary immediately before each column child is rendered

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
    `columnIndex` - the index of the currenly rendered column
  Throws:
    `IOException`

### afterColumn

    protected void afterColumn(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIData uiData,
                               int columnIndex)
                        throws IOException

  Perform any operations necessary immediately after each column child is rendered

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
    `columnIndex` - the index of the currenly rendered column
  Throws:
    `IOException`

### beforeColumnHeaderOrFooter

    protected void beforeColumnHeaderOrFooter(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIData uiData,
                                              boolean header,
                                              int columnIndex)
                                       throws IOException

  Perform any operations necessary immediately before each column child's header or footer is rendered

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
    `header` - true if the header of the column child is rendered
    `columnIndex` - the index of the currenly rendered column
  Throws:
    `IOException`

### afterColumnHeaderOrFooter

    protected void afterColumnHeaderOrFooter(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIData uiData,
                                             boolean header,
                                             int columnIndex)
                                      throws IOException

  Perform any operations necessary immediately after each column child's header of footer is rendered

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
    `header` - true if the header of the column child is rendered
    `columnIndex` - the index of the currenly rendered column
  Throws:
    `IOException`

### inBodyStart

    protected void inBodyStart(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIData uiData)
                        throws IOException

  Perform any operations necessary in the TBODY start tag.

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException`

### afterBody

    protected void afterBody(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIData uiData)
                      throws IOException

  Perform any operations necessary immediately after the TBODY end tag is output.

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException`

### afterTable

    protected void afterTable(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIData uiData)
                       throws IOException

  Perform any operations necessary immediately after the TABLE end tag is output.

  Parameters:
    `facesContext` - the `FacesContext`.
    `uiData` - the `UIData` being rendered.
  Throws:
    `IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`
  See Also:
    `Renderer.encodeEnd(FacesContext, UIComponent)`

### endTable

    protected void endTable(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws IOException

  actually render the end of the table

  Throws:
    `IOException`

### renderFacet

    protected void renderFacet(javax.faces.context.FacesContext facesContext,
                               javax.faces.context.ResponseWriter writer,
                               javax.faces.component.UIComponent component,
                               boolean header)
                        throws IOException

  Renders either the header or the footer facets for the UIData component and all the child UIColumn components, as a THEAD or TFOOT element containing TR (row) elements.

  If there is a header or footer attached to the UIData then that is rendered as a TR element whose COLSPAN is the sum of all rendered columns in the table. This allows that header/footer to take up the entire width of the table.

  If any child column has a header or footer then a TR is rendered with a TH cell for each column child.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `component` - the UIData component
    `header` - whether this is the header facet (if not, then the footer facet).
  Throws:
    `IOException` - if an exception occurs.

### determineHeaderFooterTag

    protected String determineHeaderFooterTag(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent component,
                                              boolean header)

### hasFacet

    protected boolean hasFacet(boolean header,
                               javax.faces.component.UIComponent uiComponent)

  Parameters:
    `header` -
    `uiComponent` -
  Returns:
    boolean

### determineChildColSpan

    protected int determineChildColSpan(javax.faces.component.UIComponent uiComponent)

  Calculate the number of columns the specified child component will span when rendered.

  Normally, this is a fairly simple calculation: a UIColumn component is rendered as one column, every other child type is not rendered (ie spans zero columns). However custom subclasses of this renderer may override this method to handle cases where a single component renders as multiple columns.

### renderTableHeaderRow

    protected void renderTableHeaderRow(javax.faces.context.FacesContext facesContext,
                                        javax.faces.context.ResponseWriter writer,
                                        javax.faces.component.UIComponent component,
                                        javax.faces.component.UIComponent headerFacet,
                                        String headerStyleClass,
                                        int colspan)
                                 throws IOException

  Renders the header row of the table being rendered.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `component` - the `UIComponent` for whom a table is being rendered.
    `headerFacet` - the facet for the header.
    `headerStyleClass` - the styleClass of the header.
    `colspan` - the number of columns the header should span. Typically, this is the number of columns in the table.
  Throws:
    `IOException` - if an exception occurs.

### renderTableFooterRow

    protected void renderTableFooterRow(javax.faces.context.FacesContext facesContext,
                                        javax.faces.context.ResponseWriter writer,
                                        javax.faces.component.UIComponent component,
                                        javax.faces.component.UIComponent footerFacet,
                                        String footerStyleClass,
                                        int colspan)
                                 throws IOException

  Renders the footer row of the table being rendered.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `component` - the `UIComponent` for whom a table is being rendered.
    `footerFacet` - the facet for the footer.
    `footerStyleClass` - the styleClass of the footer.
    `colspan` - the number of columns the header should span. Typically, this is the number of columns in the table.
  Throws:
    `IOException` - if an exception occurs.

### renderColumnHeaderRow

    protected void renderColumnHeaderRow(javax.faces.context.FacesContext facesContext,
                                         javax.faces.context.ResponseWriter writer,
                                         javax.faces.component.UIComponent component,
                                         String headerStyleClass)
                                  throws IOException

  Renders the header row for the columns, which is a separate row from the header row for the `UIData` header facet.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `component` - the UIData component for whom a table is being rendered.
    `headerStyleClass` - the styleClass of the header
  Throws:
    `IOException` - if an exception occurs.

### renderColumnFooterRow

    protected void renderColumnFooterRow(javax.faces.context.FacesContext facesContext,
                                         javax.faces.context.ResponseWriter writer,
                                         javax.faces.component.UIComponent component,
                                         String footerStyleClass)
                                  throws IOException

  Renders the footer row for the columns, which is a separate row from the footer row for the `UIData` footer facet.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `component` - the `UIComponent` for whom a table is being rendered.
    `footerStyleClass` - the styleClass of the footerStyleClass
  Throws:
    `IOException` - if an exception occurs.

### renderTableHeaderOrFooterRow

    protected void renderTableHeaderOrFooterRow(javax.faces.context.FacesContext facesContext,
                                                javax.faces.context.ResponseWriter writer,
                                                javax.faces.component.UIComponent component,
                                                javax.faces.component.UIComponent facet,
                                                String styleClass,
                                                String colElementName,
                                                int colspan)
                                         throws IOException

  Throws:
    `IOException`

### renderSpacerCell

    protected void renderSpacerCell(javax.faces.context.FacesContext facesContext,
                                    javax.faces.context.ResponseWriter writer,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Renders a spacer between adjacent newspaper columns.

  Throws:
    `IOException`

### renderColumnChildHeaderOrFooterRow

    protected void renderColumnChildHeaderOrFooterRow(javax.faces.context.FacesContext facesContext,
                                                      javax.faces.context.ResponseWriter writer,
                                                      javax.faces.component.UIComponent uiComponent,
                                                      String styleClass,
                                                      boolean header)
                                               throws IOException

  Throws:
    `IOException`

### renderColumnHeaderCell

    protected void renderColumnHeaderCell(javax.faces.context.FacesContext facesContext,
                                          javax.faces.context.ResponseWriter writer,
                                          javax.faces.component.UIColumn uiColumn,
                                          String headerStyleClass,
                                          int colspan)
                                   throws IOException

  Renders the header facet for the given `UIColumn`.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiColumn` - the `UIColumn`.
    `headerStyleClass` - the styleClass of the header facet.
    `colspan` - the colspan for the tableData element in which the header facet will be wrapped.
  Throws:
    `IOException`

### renderColumnHeaderCell

    protected void renderColumnHeaderCell(javax.faces.context.FacesContext facesContext,
                                          javax.faces.context.ResponseWriter writer,
                                          javax.faces.component.UIComponent uiComponent,
                                          javax.faces.component.UIComponent facet,
                                          String headerStyleClass,
                                          int colspan)
                                   throws IOException

  Renders a TH cell within a TR within a THEAD section. If the specified UIColumn object does have a header facet, then that facet is rendered within the cell, otherwise the cell is left blank (though any specified style class is still applied to empty cells).

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiComponent` - the `UIComponent` to render the facet for.
    `facet` - the `UIComponent` to render as facet.
    `headerStyleClass` - the styleClass of the header facet.
    `colspan` - the colspan for the tableData element in which the header facet will be wrapped.
  Throws:
    `IOException`

### determineHeaderCellTag

    protected String determineHeaderCellTag(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent uiComponent)

### renderColumnFooterCell

    protected void renderColumnFooterCell(javax.faces.context.FacesContext facesContext,
                                          javax.faces.context.ResponseWriter writer,
                                          javax.faces.component.UIColumn uiColumn,
                                          String footerStyleClass,
                                          int colspan)
                                   throws IOException

  Renders the footer facet for the given `UIColumn`.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiColumn` - the `UIComponent`.
    `footerStyleClass` - the styleClass of the footer facet.
    `colspan` - the colspan for the tableData element in which the footer facet will be wrapped.
  Throws:
    `IOException`

### renderColumnFooterCell

    protected void renderColumnFooterCell(javax.faces.context.FacesContext facesContext,
                                          javax.faces.context.ResponseWriter writer,
                                          javax.faces.component.UIComponent uiComponent,
                                          javax.faces.component.UIComponent facet,
                                          String footerStyleClass,
                                          int colspan)
                                   throws IOException

  Renders the footer facet for the given `UIColumn`.

  Parameters:
    `facesContext` - the `FacesContext`.
    `writer` - the `ResponseWriter`.
    `uiComponent` - the `UIComponent` to render the facet for.
    `facet` - the `UIComponent` to render as facet.
    `footerStyleClass` - the styleClass of the footer facet.
    `colspan` - the colspan for the tableData element in which the footer facet will be wrapped.
  Throws:
    `IOException`

### getHeaderClass

    protected static String getHeaderClass(javax.faces.component.UIComponent component)

  Gets the headerClass attribute of the given `UIComponent`.

  Parameters:
    `component` - the `UIComponent`.
  Returns:
    the headerClass attribute of the given `UIComponent`.

### getFooterClass

    protected static String getFooterClass(javax.faces.component.UIComponent component)

  Gets the footerClass attribute of the given `UIComponent`.

  Parameters:
    `component` - the `UIComponent`.
  Returns:
    the footerClass attribute of the given `UIComponent`.

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.